#!/usr/bin/perl

#
# Fsdb::Support::threads5008
# Copyright (C) 2010 by John Heidemann <johnh@isi.edu>
# $Id$
#
# This program is distributed under terms of the GNU general
# public license, version 2.  See the file COPYING
# in $dblibdir for details.
#


package threads;
# we do bad things below
no warnings 'redefine';

=head1 NAME

Fsdb::Support::threads5008 - backport 5.010 threads APIs to 5.008

=head1 SYNOPSIS

Don't do this at home.

=cut

=head2 error()

Stub out error().

=cut

sub error {
    return undef;
}

=head2 error()

Hardcore exit.

=cut

sub exit {
    my ($class, $status) = @_;
    if (! defined($status)) {
        $status = 0;
    }
    CORE::exit($status);
}

1;
